All of lore.kernel.org
 help / color / mirror / Atom feed
From: Tomoki Sekiyama <tomoki.sekiyama@hds.com>
To: qemu-devel@nongnu.org
Cc: mdroth@linux.vnet.ibm.com, lcapitulino@redhat.com,
	vrozenfe@redhat.com, pbonzini@redhat.com, seiji.aguchi@hds.com,
	areis@redhat.com
Subject: [Qemu-devel] [RFC PATCH v3 03/11] Add a script to extract VSS SDK headers on POSIX system
Date: Tue, 21 May 2013 11:33:45 -0400	[thread overview]
Message-ID: <20130521153345.4880.68009.stgit@hds.com> (raw)
In-Reply-To: <20130521153333.4880.74390.stgit@hds.com>

VSS SDK(*) setup.exe is only runnable on Windows. This adds a script
to extract VSS SDK headers on POSIX-systems using msitools.

  * http://www.microsoft.com/en-us/download/details.aspx?id=23490

From: Paolo Bonzini <pbonzini@redhat.com>
Signed-off-by: Tomoki Sekiyama <tomoki.sekiyama@hds.com>
---
 scripts/extract-vsssdk-headers |   25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)
 create mode 100755 scripts/extract-vsssdk-headers

diff --git a/scripts/extract-vsssdk-headers b/scripts/extract-vsssdk-headers
new file mode 100755
index 0000000..5877137
--- /dev/null
+++ b/scripts/extract-vsssdk-headers
@@ -0,0 +1,25 @@
+#! /bin/bash
+
+# extract-vsssdk-headers
+# Author: Paolo Bonzini <pbonzini@redhat.com>
+
+set -e
+if test $# = 0 || ! test -f "$1"; then
+  echo 'Usage: extract-vsssdk-headers /path/to/setup.exe'
+  exit 1
+fi
+
+# Extract .MSI file in the .exe, looking for the OLE compound
+# document signature.  Extra data at the end does not matter.
+export LC_ALL=C
+MAGIC=$'\xd0\xcf\x11\xe0\xa1\xb1\x1a\xe1'
+offset=`grep -abom1 "$MAGIC" "$1" | sed -n 's/:/\n/; P' `
+(dd of=/dev/null skip=$offset bs=1 count=0; cat) < "$1" > vsssdk.msi
+
+# Now extract the files.
+tmpdir=tmp$$
+mkdir $tmpdir
+msiextract -C $tmpdir vsssdk.msi
+mv "$tmpdir/Program Files/Microsoft/VSSSDK72/inc" inc
+rm -rf $tmpdir vsssdk.msi
+exit 0

  parent reply	other threads:[~2013-05-21 15:35 UTC|newest]

Thread overview: 65+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-05-21 15:33 [Qemu-devel] [RFC PATCH v3 00/11] qemu-ga: fsfreeze on Windows using VSS Tomoki Sekiyama
2013-05-21 15:33 ` [Qemu-devel] [RFC PATCH v3 01/11] configure: Support configuring c++ compiler Tomoki Sekiyama
2013-05-21 16:42   ` Eric Blake
2013-05-21 21:02     ` Tomoki Sekiyama
2013-05-21 16:56   ` Peter Maydell
2013-05-21 21:01     ` Tomoki Sekiyama
2013-05-21 15:33 ` [Qemu-devel] [RFC PATCH v3 02/11] Fix errors and warnings while compiling with c++ compilier Tomoki Sekiyama
2013-05-23 12:12   ` Stefan Hajnoczi
2013-05-23 18:34     ` Tomoki Sekiyama
2013-05-24  8:52       ` Stefan Hajnoczi
2013-05-24 14:20         ` Tomoki Sekiyama
2013-05-24 15:25           ` Markus Armbruster
2013-05-27 11:43             ` Stefan Hajnoczi
2013-05-24 13:01   ` Laszlo Ersek
2013-05-24 14:33     ` Tomoki Sekiyama
2013-05-21 15:33 ` Tomoki Sekiyama [this message]
2013-05-21 16:48   ` [Qemu-devel] [RFC PATCH v3 03/11] Add a script to extract VSS SDK headers on POSIX system Eric Blake
2013-05-21 21:02     ` Tomoki Sekiyama
2013-05-24 13:14       ` Laszlo Ersek
2013-05-24 13:38   ` Laszlo Ersek
2013-05-24 15:59     ` Eric Blake
2013-05-24 18:27       ` Laszlo Ersek
2013-05-21 15:33 ` [Qemu-devel] [RFC PATCH v3 04/11] qemu-ga: Add an configure option to specify path to Windows VSS SDK Tomoki Sekiyama
2013-05-21 16:53   ` Eric Blake
2013-05-21 21:02     ` Tomoki Sekiyama
2013-05-24 13:48     ` Laszlo Ersek
2013-05-24 14:03   ` Laszlo Ersek
2013-05-21 15:33 ` [Qemu-devel] [RFC PATCH v3 05/11] qemu-ga: Add Windows VSS provider to quiesce applications on fsfreeze Tomoki Sekiyama
2013-05-23 12:22   ` Stefan Hajnoczi
2013-05-23 18:36     ` Tomoki Sekiyama
2013-05-24  8:54       ` Stefan Hajnoczi
2013-05-24 14:30         ` Tomoki Sekiyama
2013-05-28 21:01       ` Jeff Cody
2013-05-29  7:39         ` Stefan Hajnoczi
2013-05-31  2:15           ` Tomoki Sekiyama
2013-05-21 15:33 ` [Qemu-devel] [RFC PATCH v3 06/11] qemu-ga: Add Windows VSS requester to quisce applications and filesystems Tomoki Sekiyama
2013-05-21 16:56   ` Eric Blake
2013-05-21 21:02     ` Tomoki Sekiyama
2013-05-28 20:17   ` Jeff Cody
2013-05-31  5:06     ` Tomoki Sekiyama
2013-05-21 15:34 ` [Qemu-devel] [RFC PATCH v3 07/11] qemu-ga: call Windows VSS requester in fsfreeze command handler Tomoki Sekiyama
2013-05-21 15:34 ` [Qemu-devel] [RFC PATCH v3 08/11] qemu-ga: install Windows VSS provider on `qemu-ga -s install' Tomoki Sekiyama
2013-05-21 15:34 ` [Qemu-devel] [RFC PATCH v3 09/11] qemu-ga: Add VSS provider .tlb file in the repository Tomoki Sekiyama
2013-05-28 21:07   ` Jeff Cody
2013-05-21 15:34 ` [Qemu-devel] [RFC PATCH v3 10/11] QMP/qemu-ga-client: make timeout longer for guest-fsfreeze-freeze command Tomoki Sekiyama
2013-05-21 15:34 ` [Qemu-devel] [RFC PATCH v3 11/11] QMP/qmp.py: set locale for exceptions to display non-ascii messages correctly Tomoki Sekiyama
2013-05-23 12:30   ` Stefan Hajnoczi
2013-05-24 18:55     ` Tomoki Sekiyama
2013-05-27 12:06       ` Stefan Hajnoczi
2013-05-23 11:05 ` [Qemu-devel] [RFC PATCH v3 00/11] qemu-ga: fsfreeze on Windows using VSS Laszlo Ersek
2013-05-23 17:11   ` Tomoki Sekiyama
2013-05-23 12:15 ` Stefan Hajnoczi
2013-05-23 13:20   ` Paolo Bonzini
2013-05-23 13:28     ` Stefan Hajnoczi
2013-05-23 13:50       ` Paolo Bonzini
2013-05-24  8:59         ` Stefan Hajnoczi
2013-05-24 12:08           ` Paolo Bonzini
2013-05-24  9:20         ` Stefan Hajnoczi
2013-05-27  4:13 ` Libaiqing
2013-05-27  7:01   ` Tomoki Sekiyama
2013-05-27 10:00     ` Libaiqing
2013-05-31  1:30 ` Libaiqing
2013-05-31  2:20   ` Tomoki Sekiyama
2013-06-03  9:12     ` Libaiqing
2013-06-03 12:20       ` Luiz Capitulino

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20130521153345.4880.68009.stgit@hds.com \
    --to=tomoki.sekiyama@hds.com \
    --cc=areis@redhat.com \
    --cc=lcapitulino@redhat.com \
    --cc=mdroth@linux.vnet.ibm.com \
    --cc=pbonzini@redhat.com \
    --cc=qemu-devel@nongnu.org \
    --cc=seiji.aguchi@hds.com \
    --cc=vrozenfe@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.